API ReferenceScheduled Events
Create scheduled event
Create a new scheduled event (for follow-ups, callbacks, etc.).
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidRequest Body
application/json
title*string
Length
1 <= lengthscheduledAt*string
Format
date-timeduration?integer
Duration in minutes
metadata?object
Response Body
application/json
curl -X POST "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/scheduled-events" \ -H "Content-Type: application/json" \ -d '{ "title": "Follow-up call with John", "scheduledAt": "2024-02-20T14:30:00Z", "duration": 30 }'{
"event": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"title": "string",
"scheduledAt": "2019-08-24T14:15:22Z",
"duration": 0,
"status": "scheduled",
"metadata": {},
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty